--- Fl_Tabs.H.1	2017-02-18 20:41:26.257306508 -0600
+++ Fl_Tabs.H	2017-02-18 20:34:40.013967906 -0600
@@ -200,18 +200,26 @@
 */
 class FL_EXPORT Fl_Tabs : public Fl_Group {
   Fl_Widget *push_;
+protected:
+  /* These variables are protected now so they can be accessed by sub-classes */
   int *tab_pos;		// array of x-offsets of tabs per child + 1
   int *tab_width;	// array of widths of tabs per child + 1
   int tab_count;	// array size
-  int tab_positions();	// allocate and calculate tab positions
-  void clear_tab_positions();
-  int tab_height();
-  void draw_tab(int x1, int x2, int W, int H, Fl_Widget* o, int sel=0);
-protected:
-  void redraw_tabs();
+
+
+  /* Tab-specific functions virtual for easier sub-classing */
+  virtual void redraw_tabs();
+  virtual int tab_positions();	// allocate and calculate tab positions
+  virtual void clear_tab_positions();
+  virtual void draw_tab(int x1, int x2, int W, int H, Fl_Widget* o, int sel=0);
+  virtual int tab_height();
+
   void draw();
 
 public:
+  Fl_Tabs(int,int,int,int,const char * = 0);
+  virtual ~Fl_Tabs();
+  
   int handle(int);
   Fl_Widget *value();
   int value(Fl_Widget *);
@@ -227,9 +235,7 @@
   */
   Fl_Widget *push() const {return push_;}
   int push(Fl_Widget *);
-  Fl_Tabs(int,int,int,int,const char * = 0);
   Fl_Widget *which(int event_x, int event_y);
-  ~Fl_Tabs();
   void client_area(int &rx, int &ry, int &rw, int &rh, int tabh=0);
 };
 
